annotation.processing.enabled=true
annotation.processing.enabled.in.editor=true
annotation.processing.processors.list=
annotation.processing.run.all.processors=true
annotation.processing.source.output=${build.generated.sources.dir}/ap-source-output
build.classes.dir=${build.web.dir}/WEB-INF/classes
build.classes.excludes=**/*.java,**/*.form
build.dir=build
build.generated.dir=${build.dir}/generated
build.generated.sources.dir=${build.dir}/generated-sources
build.test.classes.dir=${build.dir}/test/classes
build.test.results.dir=${build.dir}/test/results
build.web.dir=${build.dir}/web
build.web.excludes=${build.classes.excludes}
client.urlPart=
compile.jsps=false
conf.dir=${source.root}/conf
debug.classpath=${build.classes.dir}:${javac.classpath}
debug.test.classpath=\
    ${run.test.classpath}
display.browser=true
# Files to be excluded from distribution war
dist.archive.excludes=
dist.dir=dist
dist.ear.war=${dist.dir}/${war.ear.name}
dist.javadoc.dir=${dist.dir}/javadoc
dist.war=${dist.dir}/${war.name}
endorsed.classpath=\
    ${libs.javaee-endorsed-api-7.0.classpath}
excludes=
file.reference.aopalliance-repackaged-2.4.0-b34.jar=lib/aopalliance-repackaged-2.4.0-b34.jar
file.reference.asm-debug-all-5.0.4.jar=lib/asm-debug-all-5.0.4.jar
file.reference.gson-2.8.0.jar=lib/gson-2.8.0.jar
file.reference.hk2-api-2.4.0-b34.jar=lib/hk2-api-2.4.0-b34.jar
file.reference.hk2-locator-2.4.0-b34.jar=lib/hk2-locator-2.4.0-b34.jar
file.reference.hk2-utils-2.4.0-b34.jar=lib/hk2-utils-2.4.0-b34.jar
file.reference.javassist-3.18.1-GA.jar=lib/javassist-3.18.1-GA.jar
file.reference.javax.annotation-api-1.2.jar=lib/javax.annotation-api-1.2.jar
file.reference.javax.inject-2.4.0-b34.jar=lib/javax.inject-2.4.0-b34.jar
file.reference.javax.servlet-api-3.0.1.jar=lib/javax.servlet-api-3.0.1.jar
file.reference.javax.ws.rs-api-2.0.1.jar=lib/javax.ws.rs-api-2.0.1.jar
file.reference.jaxb-api-2.2.7.jar=lib/jaxb-api-2.2.7.jar
file.reference.jersey-client.jar=lib/jersey-client.jar
file.reference.jersey-common.jar=lib/jersey-common.jar
file.reference.jersey-container-servlet-core.jar=lib/jersey-container-servlet-core.jar
file.reference.jersey-container-servlet.jar=lib/jersey-container-servlet.jar
file.reference.jersey-guava-2.22.2.jar=lib/jersey-guava-2.22.2.jar
file.reference.jersey-media-jaxb.jar=lib/jersey-media-jaxb.jar
file.reference.jersey-server.jar=lib/jersey-server.jar
file.reference.mongo-java-driver-3.12.1.jar=lib/mongo-java-driver-3.12.1.jar
file.reference.org.osgi.core-4.2.0.jar=lib/org.osgi.core-4.2.0.jar
file.reference.osgi-resource-locator-1.0.1.jar=lib/osgi-resource-locator-1.0.1.jar
file.reference.validation-api-1.1.0.Final.jar=lib/validation-api-1.1.0.Final.jar
includes=**
j2ee.compile.on.save=true
j2ee.copy.static.files.on.save=true
j2ee.deploy.on.save=true
j2ee.platform=1.7-web
j2ee.platform.classpath=${j2ee.server.home}/lib/annotations-api.jar:${j2ee.server.home}/lib/catalina-ant.jar:${j2ee.server.home}/lib/catalina-ha.jar:${j2ee.server.home}/lib/catalina-storeconfig.jar:${j2ee.server.home}/lib/catalina-tribes.jar:${j2ee.server.home}/lib/catalina.jar:${j2ee.server.home}/lib/ecj-4.4.2.jar:${j2ee.server.home}/lib/el-api.jar:${j2ee.server.home}/lib/jasper-el.jar:${j2ee.server.home}/lib/jasper.jar:${j2ee.server.home}/lib/jsp-api.jar:${j2ee.server.home}/lib/servlet-api.jar:${j2ee.server.home}/lib/tomcat-api.jar:${j2ee.server.home}/lib/tomcat-coyote.jar:${j2ee.server.home}/lib/tomcat-dbcp.jar:${j2ee.server.home}/lib/tomcat-i18n-es.jar:${j2ee.server.home}/lib/tomcat-i18n-fr.jar:${j2ee.server.home}/lib/tomcat-i18n-ja.jar:${j2ee.server.home}/lib/tomcat-jdbc.jar:${j2ee.server.home}/lib/tomcat-jni.jar:${j2ee.server.home}/lib/tomcat-util-scan.jar:${j2ee.server.home}/lib/tomcat-util.jar:${j2ee.server.home}/lib/tomcat-websocket.jar:${j2ee.server.home}/lib/websocket-api.jar
j2ee.server.type=Tomcat
jar.compress=false
javac.classpath=\
    ${reference.Mongodb_empleado.jar}:\
    ${file.reference.aopalliance-repackaged-2.4.0-b34.jar}:\
    ${file.reference.asm-debug-all-5.0.4.jar}:\
    ${file.reference.gson-2.8.0.jar}:\
    ${file.reference.hk2-api-2.4.0-b34.jar}:\
    ${file.reference.hk2-locator-2.4.0-b34.jar}:\
    ${file.reference.hk2-utils-2.4.0-b34.jar}:\
    ${file.reference.javassist-3.18.1-GA.jar}:\
    ${file.reference.javax.annotation-api-1.2.jar}:\
    ${file.reference.javax.inject-2.4.0-b34.jar}:\
    ${file.reference.javax.servlet-api-3.0.1.jar}:\
    ${file.reference.javax.ws.rs-api-2.0.1.jar}:\
    ${file.reference.jaxb-api-2.2.7.jar}:\
    ${file.reference.jersey-client.jar}:\
    ${file.reference.jersey-common.jar}:\
    ${file.reference.jersey-container-servlet-core.jar}:\
    ${file.reference.jersey-container-servlet.jar}:\
    ${file.reference.jersey-guava-2.22.2.jar}:\
    ${file.reference.jersey-media-jaxb.jar}:\
    ${file.reference.jersey-server.jar}:\
    ${file.reference.org.osgi.core-4.2.0.jar}:\
    ${file.reference.osgi-resource-locator-1.0.1.jar}:\
    ${file.reference.validation-api-1.1.0.Final.jar}:\
    ${file.reference.mongo-java-driver-3.12.1.jar}
# Space-separated list of extra javac options
javac.compilerargs=
javac.debug=true
javac.deprecation=false
javac.processorpath=\
    ${javac.classpath}
javac.source=1.8
javac.target=1.8
javac.test.classpath=\
    ${javac.classpath}:\
    ${build.classes.dir}
javac.test.processorpath=\
    ${javac.test.classpath}
javadoc.additionalparam=
javadoc.author=false
javadoc.encoding=${source.encoding}
javadoc.noindex=false
javadoc.nonavbar=false
javadoc.notree=false
javadoc.preview=true
javadoc.private=false
javadoc.splitindex=true
javadoc.use=true
javadoc.version=false
javadoc.windowtitle=
lib.dir=${web.docbase.dir}/WEB-INF/lib
persistence.xml.dir=${conf.dir}
platform.active=default_platform
project.Mongodb_empleado=../Mongodb_empleado
reference.Mongodb_empleado.jar=${project.Mongodb_empleado}/dist/Mongodb_empleado.jar
resource.dir=setup
rest.config.type=ide
run.test.classpath=\
    ${javac.test.classpath}:\
    ${build.test.classes.dir}
# Space-separated list of JVM arguments used when running a class with a main method or a unit test
# (you may also define separate properties like run-sys-prop.name=value instead of -Dname=value):
runmain.jvmargs=
source.encoding=UTF-8
source.root=src
src.dir=${source.root}/java
test.src.dir=test
war.content.additional=
war.ear.name=${war.name}
war.name=MongoRest.war
web.docbase.dir=web
webinf.dir=web/WEB-INF
